Package csb :: Package bio :: Package fragments :: Class BenchmarkAdapter

[frames] | no frames]

# Class BenchmarkAdapter

source code

    object --+
             |
            BenchmarkAdapter

Nested Classes
| Connection

Instance Methods

__init__(self, pdb_paths, connection_string=None, factory=<csb.bio.fragments.AssignmentFactory object at 0xa24940c>) x.__init__(...) initializes x; see help(type(x)) for signature | source code

assignments(self, target_id, type) | source code

assignments_sec_structure(self, target_id, type) | source code

centroids(self, benchmark_id) | source code

prediction(self, target_id, type, ss=False) | source code

scores(self, benchmark_id, type) | source code

structure(self, accession, chain=None) | source code

target_details(self, target_id) | source code

targets(self, benchmark_id) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

connection_string(database=`'``FragmentBenchmarks``'`, host=`'````'`, username=`'````'`, password=`'````'`) | source code

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, pdb_paths, connection_string=None, factory=<csb.bio.fragments.AssignmentFactory object at 0xa24940c>)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)